usethis::create_package(".")
usethis::use_build_ignore("devstuff_history.R")
usethis::use_build_ignore("vignette/test.R")
usethis::use_gpl3_license()
usethis::use_readme_rmd()
usethis::use_pipe()
usethis::use_package("rmarkdown")
usethis::use_package("gouvdown")
usethis::use_package("ggplot2")
usethis::use_package("dplyr")
usethis::use_package("forcats")
usethis::use_package("ggiraph")
usethis::use_package("sf")
usethis::use_package("tricky")
usethis::use_package("qpdf")
usethis::use_package("stats")
usethis::use_package("glue")
usethis::use_package("lubridate")
usethis::use_package("mapfactory")
usethis::use_package("sf")
usethis::use_package("ggradar")
usethis::use_package("htmlwidgets")


usethis::use_dev_package("COGiter",remote = "maeltheuliere/COGiter")
usethis::use_dev_package("gouvdown",remote = "spyrales/gouvdown")
usethis::use_dev_package("mapfactory",remote = "gitlab::dreal-datalab/mapfactory")
usethis::use_rmarkdown_template(template_name = "publication artificialisation",
                                template_description = "Template Rmarkdown pour la publication sur l'artificialisation des sols en Pays de la Loire")
usethis::use_data_raw("dataprep")
usethis::use_build_ignore("extdata")
usethis::use_r("data")
usethis::use_build_ignore(".gitlab-ci.yml")
usethis::use_testthat()
usethis::use_test(name = "data")

##creer_graphe_1_1
usethis::use_vignette("aa-ch1-1","aa- Chapitre 1 Graphe 1")
usethis::use_r("creer_graphe_1_1")
usethis::use_test("creer_graphe_1_1")

##creer_carte_1_3
usethis::use_vignette("ac-ch1-3","ac- Chapitre 1 Carte 3")
usethis::use_r("creer_carte_1_3")
usethis::use_test("creer_carte_1_3")

##creer_graphe_1_4
usethis::use_vignette("ac-ch1-4","ac- Chapitre 1 Graphe 4")
usethis::use_r("creer_graphe_1_4")
usethis::use_test("creer_graphe_1_4")

##creer_graphe_1_5
usethis::use_vignette("ae-ch1-5","ae- Chapitre 1 Graphe 5")
usethis::use_r("creer_graphe_1_5")
usethis::use_test("creer_graphe_1_5")

##creer_graphe_1_6
usethis::use_vignette("af-ch1-6","af- Chapitre 1 Graphe 6")
usethis::use_r("creer_graphe_1_6")
usethis::use_test("creer_graphe_1_6")

##creer_tableau_1_6
usethis::use_r("creer_tableau_1_6")
usethis::use_test("creer_tableau_1_6")

##creer_carte_1_7
usethis::use_vignette("af-ch1-7","af- Chapitre 1 Carte 7")
usethis::use_r("creer_carte_1_7")
usethis::use_test("creer_carte_1_7")

##creer_carte_2_2
usethis::use_vignette("bb-ch2-2","bb- Chapitre 2 Carte 2")
usethis::use_r("creer_carte_2_2")
usethis::use_test("creer_carte_2_2")

##creer_graphe_2_3
usethis::use_vignette("bc-ch2-3","bc- Chapitre 2 Graphe 3")
usethis::use_r("creer_graphe_2_3")
usethis::use_test("creer_graphe_2_3")

##creer_graphe_2_4
usethis::use_vignette("bd-ch2-4","bd- Chapitre 2 Graphe 4")
usethis::use_r("creer_graphe_2_4")
usethis::use_test("creer_graphe_2_4")


##creer_carte_2_7
usethis::use_vignette("bg-ch2-7","bg- Chapitre 2 Carte 7")
usethis::use_r("creer_carte_2_7")
usethis::use_test("creer_carte_2_7")

##creer_graphe_2_5
usethis::use_vignette("be-ch2-5","bd- Chapitre 2 Graphe 5")
usethis::use_r("creer_graphe_2_5")
usethis::use_test("creer_graphe_2_5")

##creer_graphe_2_6
usethis::use_r("creer_graphe_2_6")
usethis::use_test("creer_graphe_2_6")
usethis::use_vignette("bf-ch2-6","bd- Chapitre 2 Graphe 6")

##creer_carte_2_8
usethis::use_r("creer_carte_2_8")
usethis::use_test("creer_carte_2_8")

##creer_graphe_3_1
usethis::use_vignette("ca-ch3-1","ca- Chapitre 3 Graphe 1")
usethis::use_r("creer_graphe_3_1")
usethis::use_test("creer_graphe_3_1")

##creer_carte_3_2
usethis::use_vignette("cb-ch3-2","cb- Chapitre 3 Carte 2")
usethis::use_r("creer_carte_3_2")
usethis::use_test("creer_carte_3_2")

##creer_graphe_3_3
usethis::use_vignette("cc-ch3-3","cc- Chapitre 3 Graphe 3")
usethis::use_r("creer_graphe_3_3")
usethis::use_test("creer_graphe_3_3")

##creer_graphe_3_4
usethis::use_vignette("ce-ch3-4","ce- Chapitre 3 Graphe 4")
usethis::use_r("creer_graphe_3_4")
usethis::use_test("creer_graphe_3_4")

##creer_graphe_4_2
usethis::use_r("creer_graphe_4_2")
usethis::use_test("creer_graphe_4_2")
usethis::use_vignette("da-ch4","Chapitre 4")

##creer_graphe_5_2
usethis::use_r("creer_graphe_5_2")
usethis::use_test("creer_graphe_5_2")
usethis::use_vignette("ea-ch5","Chapitre 5")

##creer_graphe_5_1
usethis::use_r("creer_graphe_5_1")
usethis::use_test("creer_graphe_5_1")

##creer_tableau_6_1
usethis::use_r("creer_tableau_6_1")
usethis::use_test("creer_tableau_6_1")
usethis::use_vignette("fa-ch6","Chapitre 6")

## ajout news.md

usethis::use_news_md()
## A faire tourner avant chaque commit
# usethis::use_r("globals.R") # liste les objets à passer en variables globales
attachment::att_amend_desc()
devtools::check()
devtools::install()
